Bug 1458573 - [RFE] Add the ability to skip publish and promote when importing content views
Summary: [RFE] Add the ability to skip publish and promote when importing content views
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer - Content
Version: 6.2.7
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: 6.4.0
Assignee: David Davis
QA Contact: Jan Hutař
URL:
Whiteboard:
Depends On:
Blocks: 1582382
TreeView+ depends on / blocked
 
Reported: 2017-06-04 14:13 UTC by David Davis
Modified: 2019-11-05 23:05 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 15:27:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:28:58 UTC
Foreman Issue Tracker 19759 None None None 2017-06-04 14:29:07 UTC

Description David Davis 2017-06-04 14:13:44 UTC
Publishing and promoting content views during import is kind of useless because you can't import filters before you import content views. Thus, publishing content views generates useless versions if these content views are supposed to have filters.

Also, publish/promote takes a long time so import could take several hours.

Add some options like --no-publish and --no-promote.

Comment 3 pm-sat@redhat.com 2017-06-08 20:16:53 UTC
Upstream bug assigned to daviddavis@redhat.com

Comment 4 pm-sat@redhat.com 2017-06-09 22:16:42 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/19759 has been resolved.

Comment 6 David Davis 2018-07-30 13:54:40 UTC
Hi Jan, I no longer work on hammer. Setting needinfo to Eric as I think he can help.

Comment 7 Eric Helms 2018-07-31 12:11:01 UTC
Moving to Tom who has the best knowledge of hammer-cli-csv.

Comment 14 errata-xmlrpc 2018-10-16 15:27:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.